Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\Search\Elasticsearch\Content\Extractor\Loading Class Reference

The Loading Extractor extracts the value object from the Elasticsearch search hit data by loading it from the database. More...

Inheritance diagram for eZ\Publish\Core\Search\Elasticsearch\Content\Extractor\Loading:

## Public Member Functions
| __construct (ContentHandler $contentHandler, LocationHandler $locationHandler, FacetBuilderVisitor $facetBuilderVisitor)
| extractHit ($hit)
Public Member Functions inherited from eZ\Publish\Core\Search\Elasticsearch\Content\Extractor
| __construct (FacetBuilderVisitor $facetBuilderVisitor)
| extract ($data)
| Extracts search result from $data returned by Elasticsearch. More...

## Protected Attributes
| $contentHandler
| $locationHandler
Protected Attributes inherited from eZ\Publish\Core\Search\Elasticsearch\Content\Extractor
| $facetBuilderVisitor

## Detailed Description

The Loading Extractor extracts the value object from the Elasticsearch search hit data by loading it from the database.

Definition at line 19 of file Loading.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Search\Elasticsearch\Content\Extractor\Loading::__construct | ( | ContentHandler | $contentHandler,
|  | LocationHandler | $locationHandler,
|  | FacetBuilderVisitor | $facetBuilderVisitor
| ) |  |

Definition at line 35 of file Loading.php.

References eZ\Publish\Core\Search\Elasticsearch\Content\Extractor\Loading\$contentHandler, eZ\Publish\Core\Search\Elasticsearch\Content\Extractor\$facetBuilderVisitor, and eZ\Publish\Core\Search\Elasticsearch\Content\Extractor\Loading\$locationHandler.

## Member Function Documentation

## ◆ extractHit()

eZ\Publish\Core\Search\Elasticsearch\Content\Extractor\Loading::extractHit | ( |  | $hit | ) |

Exceptions

Reimplemented from eZ\Publish\Core\Search\Elasticsearch\Content\Extractor.

Definition at line 53 of file Loading.php.

## Member Data Documentation

## ◆ $contentHandler

eZ\Publish\Core\Search\Elasticsearch\Content\Extractor\Loading::$contentHandler
| protected

Definition at line 26 of file Loading.php.

Referenced by eZ\Publish\Core\Search\Elasticsearch\Content\Extractor\Loading\__construct().

## ◆ $locationHandler

eZ\Publish\Core\Search\Elasticsearch\Content\Extractor\Loading::$locationHandler
| protected

Definition at line 33 of file Loading.php.

Referenced by eZ\Publish\Core\Search\Elasticsearch\Content\Extractor\Loading\__construct().

The documentation for this class was generated from the following file:

- Loading.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.